DeployStatus (gCube VRE Deploy Wizard Portlet 3.3.0-3.3.0 API)
Date: 2014-07-19

org.gcube.portlets.admin.vredeployer.shared.deployreport

## Enum DeployStatus

- java.lang.Object
- - java.lang.Enum<DeployStatus>
  - - org.gcube.portlets.admin.vredeployer.shared.deployreport.DeployStatus

- All Implemented Interfaces:
    Serializable, Comparable<DeployStatus>

      public enum DeployStatus
      extends Enum<DeployStatus>

  Author:
    massi

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FAIL`
    `FINISH`
    `PENDING`
    `RUN`
    `SKIP`
    `WAIT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DeployStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DeployStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WAIT

          public static final DeployStatus WAIT

    - #### RUN

          public static final DeployStatus RUN

    - #### FINISH

          public static final DeployStatus FINISH

    - #### FAIL

          public static final DeployStatus FAIL

    - #### SKIP

          public static final DeployStatus SKIP

    - #### PENDING

          public static final DeployStatus PENDING

  - ### Method Detail

    - #### values

          public static DeployStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DeployStatus c : DeployStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DeployStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.